Skip to main content
POST
/
governance
/
providers
/
test
Test governance provider connection
curl --request POST \
  --url https://app.usechar.ai/api/governance/providers/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider_key": "langguard",
  "interceptor_url": "<string>",
  "interceptor_name": "<string>",
  "api_key": "<string>"
}
'
{
  "status": "success",
  "message": "<string>",
  "violations": [
    {
      "policy_id": "<string>",
      "status": "notify",
      "details": "<string>"
    }
  ],
  "latency_ms": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://docs.usechar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS JWT token. Obtain via WorkOS AuthKit authentication flow. The token must include organization_id claim for organization-scoped endpoints.

Body

application/json
provider_key
enum<string>
required
Available options:
langguard,
byo
interceptor_url
string<uri>
required
interceptor_name
string
required
Minimum string length: 1
api_key
string
Minimum string length: 1

Response

OK

status
enum<string>
required
Available options:
success,
notify,
failure
message
string
required
violations
object[]
required
latency_ms
integer
required
Required range: 0 <= x <= 9007199254740991